//
//  Scope.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/9/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public enum Scope: String, Sendable {
    case read
    case write
    case follow
}

extension Array where Element == Scope {
    var scopeString: String {
        return map { $0.rawValue }.joined(separator: " ")
    }
}
